Package com.explodingpixels.macwidgets

## Class PreferencesTabBar

- java.lang.Object
- - com.explodingpixels.macwidgets.PreferencesTabBar

    public class PreferencesTabBar
    extends java.lang.Object

### Constructor Summary

Constructors
`PreferencesTabBar()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addTab​(java.lang.String title, javax.swing.Icon icon, java.awt.event.ActionListener listener)`
`javax.swing.JComponent` `getComponent()`
`void` `installWindowDraggerOnWindow​(java.awt.Window window)`
`void` `showTab​(java.lang.String title)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PreferencesTabBar

    public PreferencesTabBar()

### Method Detail

#### addTab

    public void addTab​(java.lang.String title,
                       javax.swing.Icon icon,
                       java.awt.event.ActionListener listener)

#### showTab

    public void showTab​(java.lang.String title)

#### installWindowDraggerOnWindow

    public void installWindowDraggerOnWindow​(java.awt.Window window)

#### getComponent

    public javax.swing.JComponent getComponent()